//
//  TaskWrap.h
//  Amber-X
//
//  Created by Kenneth Hoffmann on 10/18/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class AmberView;
@interface TaskWrap : NSObject {
	NSTask * task;
	NSFileHandle * taskOutput;
	NSPipe * outputPipe;
	NSFileHandle * taskInput;
	NSPipe * inputPipe;
	
	IBOutlet NSTextView * textBox;
	
	NSNotificationCenter * defaultCenter;
	
	IBOutlet AmberView * ambView;
	
	bool taskValid;
	bool timerValid;
	NSTimer * scroller;
}

-(void)initializeTask;
-(void)cleanupTask:(NSNotification *)notif;
-(void)taskCompleted:(NSNotification *)notif;
-(void)taskDataAvailable:(NSNotification *)notif;
-(void)runTask:(NSMutableArray *)args;
-(void)killTask;

-(void)scroll;
-(void)parsePercent:(NSString *)str;
@end

